> ## Documentation Index
> Fetch the complete documentation index at: https://docs.minimo.it/llms.txt
> Use this file to discover all available pages before exploring further.

# List Webhooks

> Every webhook registration of your workspace

Returns the webhooks of the workspace of the API key, active and inactive. The `secret` is never returned.

## Permissions

The API key needs the **WhatsApp** permission.


## OpenAPI

````yaml get /public/v1/webhooks/registrations
openapi: 3.1.0
info:
  title: API Documentation
  description: Documentation for transactional and subscribe APIs
  version: 1.0.0
servers:
  - url: https://app.minimo.it
security:
  - bearerAuth: []
paths:
  /public/v1/webhooks/registrations:
    servers:
      - url: https://api.minimo.it
    get:
      summary: List webhooks
      description: Every webhook registration of your workspace.
      operationId: listWebhookRegistrations
      responses:
        '200':
          description: Webhook registrations
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: array
                    items:
                      $ref: '#/components/schemas/WebhookRegistration'
              example:
                data:
                  - id: 42
                    name: Support bot
                    url: https://bot.example.com/minimo/webhook
                    events:
                      - whatsapp.message.received
                      - whatsapp.message.status
                    status: active
                    method: POST
                    headers: {}
                    hasSecret: true
                    created: '2026-11-13T10:00:00.000Z'
        '401':
          description: >-
            Missing or invalid API key, or a key without the `WhatsApp`
            permission.
      security:
        - bearerAuth: []
      x-codeSamples:
        - label: CLI
          lang: cURL
          source: |-
            curl --request GET \
              --url 'https://api.minimo.it/public/v1/webhooks/registrations' \
              --header 'Authorization: Bearer {{BEARER_TOKEN}}'
        - lang: JavaScript
          source: >-
            const res = await
            fetch('https://api.minimo.it/public/v1/webhooks/registrations', {
              method: 'GET',
              headers: {
                'Authorization': 'Bearer {{BEARER_TOKEN}}',
              },
            });

            const { data } = await res.json();

            console.log(data);
        - lang: Python
          source: |-
            import requests

            res = requests.get(
                'https://api.minimo.it/public/v1/webhooks/registrations',
                headers={'Authorization': 'Bearer {{BEARER_TOKEN}}'},
            )
            print(res.json())
components:
  schemas:
    WebhookRegistration:
      type: object
      description: >-
        A webhook registration. The `secret` is never returned: `hasSecret`
        tells you one is set.
      properties:
        id:
          type: integer
          example: 42
        name:
          type: string
          example: Support bot
        url:
          type: string
          example: https://bot.example.com/minimo/webhook
        events:
          type: array
          items:
            type: string
            enum:
              - whatsapp.message.received
              - whatsapp.message.status
        status:
          type: string
          enum:
            - active
            - inactive
        method:
          type: string
          enum:
            - POST
            - GET
        headers:
          type: object
          additionalProperties:
            type: string
          description: >-
            Static headers sent on every delivery, as `{ "Header-Name": "value"
            }`.
        hasSecret:
          type: boolean
        created:
          type: string
          format: date-time
  securitySchemes:
    bearerAuth:
      type: http
      scheme: bearer
      bearerFormat: mn-API_CLIENT_ID-API_KEY

````

This documentation is built and hosted on [Mintlify](https://mintlify.com), a developer documentation platform.